
// ClientSampleDlg.h : header file
//

#pragma once
#include "EzSocket.h"
#include "afxwin.h"
#include "afxcmn.h"


#define BUTTON_STATE_INITIAL		0
#define BUTTON_STATE_ACCEPT			1
#define BUTTON_STATE_CONNECTED		2

// CClientSampleDlg dialog
class CClientSampleDlg : public CDialog
{
// Construction
public:
	CClientSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_CLIENTSAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CEzSocket		m_ClientSocket;
	CEdit			m_Edit_Console;
	CEdit			m_Edit_Port;
	CEdit			m_Edit_Send;
	CButton			m_Button_Connect;
	CButton			m_Button_Disconnect;
	CButton			m_Button_Send;
	CButton			m_Check_CR;
	CButton			m_Check_LF;
	CIPAddressCtrl	m_Remote_IP;
public:
	void SocketClose(int nErrorCode);
	void Receive(int nErrorCode);
	void Connect(int nErrorCode);
	afx_msg void OnBnClickedButtonDisconnect();
	afx_msg void OnBnClickedButtonSend();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedButtonConnect();
	
	// 2011-02-24    By Jae-Hong Lee 
	// notepad
	void Dump2Notepad(LPCTSTR fmt, ...);
};
